What is FTP?

Introduction

FTP is the acronym for File Transfer Protocol.

A protocol is a uniform language that allows two different types of machines to communicate. The FTP protocol is used to upload and download files.

FTP software works under a client /server environment. The program allows you to transfer files in both directions, between the host server where your Web site is located and your computer, or between two servers. You can perform many other activities, such as file and folder management.


How to order AceFTP 3 Pro

  • To obtain more information on prices and how to order a registered version of AceFTP 3 Pro go to the Help menu and select How to order AceFTP 3 Pro.

There are 2 ways to order AceFTP 3 PRO:

1. ON THE INTERNET

You can order AceFTP 3 Pro over the Internet. You will need to complete an order form at the following address:

http://www.visicommedia.com/order

Accepted Credit Cards: MasterCard, Visa, International Carte Bleue, Carte Blanche and EuroCard.

2. OTHERS

Other Forms of Payment: If you do not wish to pay by Credit Card over the Internet, you can use one of the following option: Credit Card over the phone, billing (for institutions and companies only), company check and money order. For more information, please visit our order section online (http://www.visicommedia.com/order).

Once your payment is received, we will process your order within 48 hours and send you the registration code by email or the CD ROM by mail.

Please send your payment to the following address:

VISICOM MEDIA INC.
6200, Taschereau Blvd, Suite 401
Brossard, Québec
Canada
J4W 3J8
Phone: (450) 672-0401
Fax: (450) 672-9586


AceFTP 3 overview

AceFTP 3 is a fully functional client FTP software. It allows the user to transfer files between his computer (client) and servers found in any network, including the Internet.

This version of AceFTP 3 must be installed on a system running Windows 9x, Me, NT4, 2000 or XP, as well as Internet Explorer 5.0 or higher, and must be able to connect to any type of server.

With its intuitive interface, AceFTP 3 makes file transferring to a server fast and easy – a computer acting as a host, or from the server to the user's computer – or to a local computer. AceFTP 3 can also transfer files from server to server between two host computers.

These are AceFTP's main features:

Powerful site management

Management of connection classes

Management of favorite sites

SSL Protocol for secure and confidential transfers

Extended firewall support (Sockets)

Windows XP adapted interface

Scheduled Tasks

Preview of images on exploration view

File transfers between local computers

File transfers between servers

Multiple connections

Control of transfers using queues

Statistics on transfer history

Resume transfers

File transfers using drag & drop

Directory cache to speed up connections

Transfer speed control

Handling conflicts between files

Internal viewer to preview HTML documents and images

Automatic checking of URL's saved to the clipboard


System requirements

Following are the minimum system requirements you need to install and run AceFTP:

  • Pentium based or higher IBM compatible PC.

  • Windows 95, 98, Me, NT4, 2000, XP or higher.

  • Microsoft Internet Explorer 5.00 or higher (with Windows 95, 98 or NT4).

  • 32 MB of memory (64 MB for Windows NT4/2000, 128 MB for Windows XP).

For more information on pricing and to find out how to purchase AceFTP 3 Pro's official version, select Help | How to order AceFTP 3 Pro.


Product licence

Product license

PLEASE READ THE FOLLOWING ACEFTP LICENSE AGREEMENT CAREFULLY.

YOU ARE GRANTED THE FOLLOWING LIMITED RIGHTS:

For AceFTP 3 Pro: A non-exclusive, non-transferable right to use the shareware version of AceFTP 3 for an evaluation period of 30 days. The trial period does not apply if you have registered the software.

The right to distribute the software in its shareware form to third parties provided the latter agree to accept the terms of this Agreement.

For AceFTP 3 Freeware: A non-exclusive, non-transferable right to use the freeware version of AceFTP 3 Freeware.

The right to distribute the software in its freeware form to third parties provided the latter agree to accept the terms of this Agreement.

IT IS STRICTLY PROHIBITED TO:

Modify the software in part or in its entirety.

Decompile or reverse engineer the software.

Provide your registration number to third parties if you are a registered user.

SHOULD YOU FAIL TO COMPLY WITH ANY OF THE ABOVE, YOUR USER RIGHTS ARE AUTOMATICALLY TERMINATED. THIS TERMINATION WILL BE IN ADDITION TO ANY CRIMINAL, CIVIL OR OTHER REMEDIES WHICH VISICOM MEDIA INC. MAY SEEK.

LIMITED WARRANTY:

LIMITATION OF LIABILITY FOR INDIRECT DAMAGES: Visicom Media inc. cannot be held responsible under any circumstances for damages of any character (including, but not limited to, direct or indirect damages resulting from the loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use or inability to use this product.

This software is provided under license on an "AS IS" basis, without warranty of any kind, expressed or implied, including without limitation, implied warranties of merchantability and fitness for a particular purpose. In no event shall Visicom Media inc., or any third party involved in the creation, production, or delivery of the software be liable under any circumstances for any direct or indirect damages including, but not limited to, damages for loss of business profits, business interruption, incurred by the user even if Visicom Media inc. has been advised of such damages.

The entire risk as to the results and performance of the software is borne by the user. Visicom Media inc. may, at any time, revoke this license by notifying the user of the software. The user may cancel his license to use the product by destroying or erasing all copies of the software.

This limited warranty will be governed and interpreted according to Canadian law.

PROPERTY:

The "AceFTP" trademark is a registered trademark and is protected by the Canadian Laws on Trademarks and Intellectual Property. Use of the product's name is strictly forbidden unless it's used with the express written permission of Visicom Media inc.

This software, including its code, documentation, appearance, structure, and organization is an exclusive product of Visicom Media inc., who retains the property rights to the software, its copies, modifications, or merged parts.


Registering AceFTP 3

For the Pro version:

You can register directly from the trial version. Upon receipt of payment, we will email you a registration number which will remove the "trial version" message and will confirm your registration.

When you register, you will enjoy the following advantages:

  • Free updates.

  • You will receive a 50% discount on the purchase of the next upgrade.

  • Technical support.

For the Freeware version:

You can register directly from Visicom Media by filling the form on web site http://freeware.aceftp.com/

  • To obtain more information on prices and how to order a registered version of AceFTP 3 Pro go to the Help menu and select How to order AceFTP 3 Pro.


Acknowledgements and credits

We wish to thank all those who have helped to improve AceFTP through their comments, suggestions, and their reports of bugs in the program.

Acknowledgements | AceFTP™ (1997-2002) by Visicom Media Inc.
Project Manager | Nicolas Xanthopoulos (nicolasx@visic.com)
Windows Programming | Milen Georgiev Theodor Kleynhans Alexander Obukhov Nicolas Xanthopoulos
Online Help | Complétif inc.
Marketing & Contacts | Dominique C. Tremblay (dtremblay@visic.com) Patrice Carrénard (patricec@visic.com)

© 1997-2002 Visicom Media inc.


AceFTP's main window

AceFTP has an intuitive and user-friendly interface which users can easily understand and can rapidly learn how to use the most important features. AceFTP makes available for the user an array of advanced management commands for transferring files which make it easy to automate tasks.

The menu bar supplies access to all AceFTP's commands and options. The many toolbars and easy access to several shortcut keys provide quick access to the most frequent commands.

AceFTP's main window is divided into several sections; and each section has its own toolbar.

  • The upper section is reserved for the Session Manager. In this section the user can follow step-by-step status messages on each transfer and check related statistics. Certain connection and transfer operations can be automated using the queue and task Scheduled Tasks features.

  • The bottom section is divided into two exploration views: by default, the left view displays the local folders while the right view displays the folders found on the server.

You can also move the views in different ways to facilitate local to local transfers as well as server to server transfers.


Session Manager

A tab zone is displayed in the upper section of the AceFTP window, in order to track all executed and queued transferring operations. Three tabs are displayed by default on the Session Manager:

  • The Log tab, to track transferring operations.

  • The Queues tab, to manage transferring queued elements.

  • The Viewer tab, to view the files before transferring.

The Progress tab may also be displayed, to consult the transfer status.

To display or hide the Session Manager tabs

  1. From the menu, select View | Tabs.

  2. Place a check mark next to the tab to be displayed or remove it to hide the tab.
    You can also click on the Manager button or expand the pop-up menu on the title of a Session Manager tabs.


Log tab

The Log tab displays information on connection and transfers, as well as the status of activities taking place. You are advised when an operation is successful or fails; the details might help you to understand the situation and to solve it. The information on the log is saved to a text file.

The Log tab's pop-up menu allows accessing the menu bar commands.
The Log tab may be configured using the general preferences.


Queues tab

The Queues tab displays a list of all transfers successfully completed, those being made or those still in the queue. To the left of each line is an icon which indicates the file's status. The Queues tab is also used to manage future queued lists of transfers.

A tool bar allows accessing the most common Queues tab commands.

The Queues tab's pop-up menu allows accessing the menu bar commands.
The Queues tab may be configured using the general preferences.


Viewer tab

The Viewer tab is used to view selected files. You can also view items such as Java Applets or animated GIF's.

A bar with buttons is used to control the Viewer's display.

To refresh the window to reflect the most recent changes.

To display the previously or subsequently consulted item, according to the arrow's direction.

To stop loading the current file.

To open the external browser, Microsoft Internet Explorer.

To reset the Viewer window.

To enlarge or reduce the displayed image.

The Session Manager can be displayed or hidden using the Manager button.
Using the Viewer requires the installation of Microsoft Internet Explorer 4 or higher.


Progress tab

The Progress tab is not displayed by default in the Session Manager. It can be displayed using the menu View | Tabs.

The Progress tab displays the progress of file transfer activities. The icons on the far right of the tab are used to hide the display and to show only a graphic view of progress.


Toolbars

AceFTP has several toolbars to quickly access the most frequently used commands:

Main toolbar

Quick Connect toolbar

Two Action toolbars, displayed on each of the exploration views, left (local) and right (server)

Two Navigation toolbars, displayed on each of the exploration views, left (local) and right (server)

Analysis toolbar, to evaluate the connection status. This tool is not displayed by default

Middle toolbar, located between the two exploration views and used to transfer files

Connection buttons

You may customize the toolbar appearances by modifying the icon sizes or by selecting Show Text besides the icons.

To hide or display a toolbar:

  1. Click on the View menu and choose the desired toolbar in the correct category.


Main toolbar

The main toolbar has the necessary tools for connecting to sites and configuring the program.
These options are available under View | Main toolbar menu.

 | Displays the Site Manager window. When you click on the arrow, a list of the most recent connections is displayed.
 | Interrupts the connection with the server. If you are working with multiple connections, when you click on the arrow a list of the current connections is displayed.
 | Displays a window so that you can define a new URL to which you want to connect directly. The arrow displays the most recent URL's visited.
 | Display or hide the Session Manager below the Main toolbar.
 | Displays the server exploration view in a wide window. Click once more on the icon to display again both exploration views.
 | Displays the transfer Scheduled Tasks.
 | Displays the dialog box allowing modifying AceFTP's configuration options.
or | This icon changes depending on whether you want to interrupt a current process (indicated by an X) or you want to start one (indicated by a V).


Quick Connect toolbar

The Quick Connect toolbar allows the Web site designer to quickly access an FTP server without using a Wizard.

FTP server address.

Port number.

The port used by default to communicate with an FTP server is port 21.When appropriate, you may change the port number. This information is provided by your Internet Service Provider.

Identification of the host user. This information is provided by your Internet Service Provider.

Password authorizing access to a server.

Connection to a server.

Displays the Site Properties Profile allowing modifying the connection information.

Displays the Site Profile Wizard allowing creating a new site profile using the information of the Quick Connect Toolbar.


Action toolbars

Each exploration view has its own Action toolbar. The action is executed on the items contained on the toolbar's corresponding exploration view. The Action toolbars may be displayed or hidden using the menu View | Main Toolbar | Left Action or Right Action.

Opens the file using its authoring software. If the file is not associated to any specific software, a Windows' Open With screen is displayed allowing selecting a software.

Opens the selected file using its associated editing software.

In order for this function to be available, you must first make application associations.

Opens the selected file using its associated viewing software.

In order for this function to be available, you must first make application associations.

Refreshes the folder already displayed in the exploration view to reflect the most recent changes.

Used to create a new folder in the exploration view.

Displays the name of the selected item in edit mode so that you can change it.

Deletes the selected item after displaying a dialog box requesting confirmation of deletion

Applies a file mask and displays only the selected file types .

Displays the properties of the item highlighted in the exploration view.

Displays items in the directory as thumbnails in the exploration view. If the view is not available, an icon representing the item is displayed.

Displays the Windows' Search window to find a file on the workstation, the network of Internet.

Used to add or remove buttons from the Action toolbars.


Navigation toolbars

Each exploration view has its own Navigation toolbar. The action takes place on the items contained on the toolbar's corresponding exploration view. The Navigation toolbars may be displayed or hidden under the menu View | Main Toolbar | Left Navigation or Right Navigation.

Displays the directory tree of your local computer or of the server.
 | Up one level in parent folder directory displayed in the exploration view.
 | Brings up the window Select Folder to View that displays a large directory tree of the folders found on the local computer or the server.
 | Displays the contents of the folder shown previously in the exploration view. The arrow is used to choose a particular folder.
 | Return to the contents of the folder previously displayed if the Back button is pressed. The arrow is used to choose a particular folder.
 | Shows a list of display types that may be applied to the exploration view.
 | Creates a new view in the exploration view allowing performing other connections when working in multiple connections, or working on another file when working in Multipages mode.
 | Deletes the active view on the exploration view.
 | Used to add or remove buttons from the Navigation toolbars.


Analysis toolbar

The Analysis toolbar is used to verify the connection status and to find out reasons of failures when they occur. A report named Debug.txt is automatically generated and saved in the folder where AceFTP is installed.

This report is eventually sent to Visicom Media inc. so that AceFTP's programmers learn of possible problems with the program. This option is only used when requested by Visicom Media inc.

The Analysis toolbar may be displayed or hidden using View | Main Toolbar | Analysis menu.

Click on the button to choose from a list the level of debugging.


Middle toolbar

The Middle toolbar is used to perform file transfers and to manage synchronization. The Middle Toolbar may be displayed or hidden under the menu View | Middle Toolbar.

To copy the selected item from the left exploration view to the right exploration view.

To copy the selected item from the right exploration view to the left exploration view.

To synchronize folder transfers.

Using the Copy button allows using Move and Copy commands as well as the copy and transfer to the queue list.


Connecting buttons

The Connecting buttons are displayed automatically in the Session Manager when connecting. It is very useful when working with multiple connections.

The highlighted button indicates the active FTP site that is displayed on the right exploration view (server side).

The buttons are added automatically when a connection is being dialed. The name on the button corresponds to the name of the connection.

  • Click on a button to activate the corresponding FTP site, e.g. display the folder's content on that view.


Customizing tools

The Toolbars and Menu Bars may be customized. Customizing a toolbar consists of adding or removing buttons; customizing Menu Bars consists of adding or removing commands as well as modifying their styles.

You can access the dialog box to configure the toolbars in three different ways:

  • By selecting Customize under View | Main toolbar.

  • By selecting Customize from the drop down list of the toolbar. This list is displayed when you click on the small arrow located at the right of the toolbar.

  • By selecting Customize from the pop-up menu that appears when you right-click on the main toolbar.

Dialog box

The Customize dialog box has three tabs under which are grouped the different commands for customizing the toolbars: Toolbars, Commands and Options.

Use the Reset command of More buttons to go back to its default values.

Toolbars tab

This tab lists the different toolbars you can customize.

  • To display a toolbar, place a check mark on the corresponding box.

  • To hide a toolbar, remove the check mark from the corresponding box.

Additional commands may be executed using corresponding buttons:

New | To create a new toolbar. This option may be useful to group a set of commands on one toolbar.
Rename | To change the name of a toolbar. This command can only be used with a toolbar you created.
Delete | To permanently delete a toolbar. This command can only be used with a toolbar you created.
Reset | To reset default values of toolbars and tabs.
Close | To close the dialog box.

To create a toolbar

  1. Bring up the Customize dialog box.

  2. Click the New button.
    A small dialog box is displayed.

  • Enter a name for the new toolbar.

  3. Click on OK.
    A new toolbar appears under the Toolbars area and an empty toolbar is displayed next to the dialog box.

  4. Add the necessary commands.

You can drop down the pop-up menu on the new button to have access to other commands, for example, to rename a function.

The Commands tab

The window under this tab is divided into two sections. The left section displays a list of the command categories, while the right section displays the commands associated with the selected category to the left.

Adding commands to a toolbar

  1. Click a category on the left side to view the list of commands on the right side.

  2. Click on a command and hold down the mouse button and drag the command to the main toolbar or to the new toolbar you created.

Options tab

Under this tab you can configure the main toolbar and the menu bar.

Menus show recently used commands first | This option activates the chevrons at the end of menus. Only the most used commands are displayed; more commands are added as you use them. This option is active by default. If the option is not checked, AceFTP displays complete menus.
Show full menus after a short delay | This option is not available unless the Menus show recently used commands first option is checked. The full menu is displayed automatically after a short delay. Enabled commands are displayed normally, while disabled commands appear grayed out.
Reset my usage data | This option resets the menu bars and toolbars default values.
Large Icons | This option is used to display large icons if its checked, and small icons if it's not checked.
Show Tool Tips on toolbars | If checked, Tool Tips are displayed when the mouse is placed over an icon.
Show shortcut keys in Tool Tips | This option is not available unless the Show Tool Tips on toolbars option is checked. The shortcut key is displayed with the Tool Tips.
Menu animations | From this drop down list you can choose different types of animations for the menus.


Main menus bar

The Main menus bar provides access to all AceFTP's commands. Commands are classified under different categories to make it easier to locate them.

Menu

Description

File

Access to Site Manager and to exit the program.

Edit

Access to connection properties.

View

Modifying different view items.

Log

Handling of log messages.

Site

To access the server connection status.

Queue

Handling of files queued for transfer.

Left and Right

Handling of different items on the left and right exploration view.

Tools

Access to several of AceFTP's options such as General Preferences or monitoring the Clipboard.

Help

Access to the program's online help and to Visicom Media inc. on the Web.

You may customize the menu bar appearance by modifying the icon sizes or by selecting Show Text besides the icons.


File menu

Menu

Description

Connect

Displays the Site Manager.

Disconnect

Interrupts the current connection.

Connect to URL

Displays the dialog box for a direct connection to an FTP server without using the Site Manager.

Quick Connect

To enable the Quick Connect toolbar, or to display it if it was hidden, allowing configuring a quick connection.

Save Site As

To save the connection file as a different name. The connection properties may then be modified using the Site Profile Manager.

Lock AceFTP

To enter a password to restrain another user from accessing AceFTP.

Exit

To exit AceFTP


Edit menu

Cutting or moving an element will delete it from its source location, once the command is executed. Copying an element will create it in the new location and a copy will remain in the source location, once the command is executed.

Menu

Description

Copy to Left

To copy the selected file to the left exploration view.

  • Select the Copy to Left Later command to transfer the file to the queue.

Copy to Right

To copy the selected file to the right exploration view.

  • Select the Copy to Right Later command to transfer the file to the queue.

Move to Left

To move the selected file to the left exploration view.
Before the file is moved, a message is displayed requesting confirmation so that you have a chance to copy the file instead of moving it and thus keep a copy of the selected file.

  • Select the Move to Left Later command to transfer the file to the queue.

Move to Right

To move the selected file to the right exploration view.
Before the file is moved, a message is displayed requesting confirmation so that you have a chance to copy the file instead of moving it and thus keep a copy of the selected file.

  • Select the Move to Right Later command to transfer the file to the queue.


View menu

Menu

Description

Main Toolbar

To display or hide the following toolbars: Main Toolbar; Animation; Analysis, Actions and Navigations.

You can customize the appearance of the Main toolbar in three different ways:

  • Show Text: display labels below each icon.

  • Large Icons: displays small or large icons on the toolbar.

  • Customize: to access the advanced options to customize toolbars.

Middle Bar

To display or hide the Middle bar.

Tabs

Hide or display items on the Session Manager and modify the way they look:

  • Show Text: Hide or display the text label on the tab.

  • Show Icons: Display or hide the icon on the tab.

  • Log: Display the activities taking place under the Log tab.

  • Queue: Display the Queues tab containing the list of activities.

  • Viewer: Display AceFTP's integrated Viewer.

  • Progress: Display the Progress tab which shows the progress of current transfers.

Status Bar

To display the status bar at the bottom of the main window. The status bar displays information regarding transfers.

Lockstep Folder Navigation

To synchronize folder transfer operations.

Session Manager

To display or hides the Session Manager.

Maximize Right View

To hide the left exploration view in order to maximize the right exploration view, e.g. server view.

Progress Window

To place a window on top of the screen that displays the progress status of ongoing transfers.


Log menu

Menu

Description

Clear All

Delete the content from the Log tab.

Copy selected lines to clipboard

Copy selected lines of messages found under the Log tab to Windows Clipboard. You can copy the contents of the Clipboard to any other application.

Copy all to clipboard

Copy all the messages found under the Log tab to Windows Clipboard. You can copy the contents of the Clipboard to any other application.

Add Timestamps

Display under the Log tab the exact time each activity takes place.

Status only

Display under the Log tab only connection activity status.

Save to file...

Displays a Save dialog box in order to create or choose a log file (with a .log extension). A .log file can be opened with any word processor, including Windows Notepad.

Save to file when done

Once you have specified a file where to save the log, the process is carried out automatically after each work session.

Append to file

If this option is selected, the contents of the Log tab are added below the existing contents of the specified file. If this option is not selected, then the new information displayed in the Log replaces the existing contents in the specified file.

Options

Displays the properties of AceFTP Log tab general preferences.


Site menu

Menu

Description

Edit Current Connection Properties

Displays the current connection properties allowing modifying them.

Server Online State

Allows going from connection mode to off-line mode.

Scripts

Displays Customized Scripts Options allowing modifying scripts associated to the current connection, or adding new scripts.

The arrow gives access to the defined scripts of the connection profile.


Queue menu

Menu

Description

Paused Queue Items

You can choose from different actions that should be applied to items on the list.

  • Choose Nothing to prevent all actions in the queue from taking place.

  • Choose File Transfers to execute all the actions, except transfers.

  • Choose Everything to place all items on Pause, that is, temporarily inactive.

Stop/Start Processing Queue

Starts/stops transferring queued items.

Hold

Modify the status of the selected item on the Queues tab to add it to the queue.

Release

Modify the status of the selected item on the Queues tab and release it so that it can be transferred. For this command to be available, said item must have been placed on Hold previously.

Resubmit

Resubmits an item. Three ways are available:

  • Selected Items, to resubmit only selected items in the queue.

  • Failed Items, to resubmit failed items in the queue.

  • All Items, to resubmit all items in the queue.

Move

The transfers are executed in the order they were requested. The Move command allows moving the transfer execution order in the queue. The items may be Moved Up, Moved Down, Moved to Top or Moved to Bottom of the queue.

Remove from Queue

Removes selected items from the queue.

Clear All

Removes all the items listed in the Queues tab.

Load from Storage

To open a queued item previously saved using the Save to Storage command.

Save to Storage

To save the queue in order to use it later. The queue operations will then be loaded using the Load from Storage command.

Options

Displays the properties of the queued items that are found in AceFTP's general preferences.


Left and Right menu

Left and Right menus

These two menus are composed of identical commands; most of them are also found on the Action toolbar and apply to the items in the corresponding exploration view.

Menu

Description

Open

Open the selected item using the associated application.

Edit

Edit the selected item using the application found on the drop down list.

The applications displayed in the list are those indicated under application associations under general preferences.

View

Open the selected item using the application chosen from the drop down list.

The applications displayed in the list are those indicated under application associations under the general preferences.

Find Files

Display a dialog box used to search for files. The options are different, depending from which exploration view (local or server view) the dialog box was called.

Refresh

Refresh the folder already displayed in the exploration view to reflect the most recent changes.

Create New Folder

Create a new folder in the directory displayed in the exploration view.

Rename

Display the name of the selected item in edit mode so that you can change it.

Delete

Delete the selected item after displaying a dialog box requesting confirmation to delete it.

File Mask

Apply a file mask and display only the selected file types.

Cut

Delete the selected item and place it on Windows clipboard from where it can be recovered.

Copy

Copy the selected item and place it on Windows clipboard from where it can be recovered.

Paste

Paste the contents saved in Windows clipboard.

Properties

Display the properties of the item previously selected in the exploration view.

Select All

Select all the items listed in the exploration view.

Invert Selection

After the user selects a number of items in the exploration view, this command will select those items that were not selected and will not select the ones the user had selected.


Tools menu

The Tools menu give access to the tools AceFTP Properties tools and allows to use URL addresses of Web sites to connect through an FTP server.

You cannot recover theses addresses unless the Web pages were previously saved (using a browser).

Menu

Description

General Preferences

Displays the General Preferences window where you can modify AceFTP's properties.

Manage connection classes

Displays the current General menu of the connection properties so that you can modify the FTP site class parameters.

Default Transfer Mode

Displays a list of different transfer modes found in General Preferences. From this menu choose a transfer mode; this mode will only be reflected in the current session.

Completion Actions

Displays a list of the completion actions defined in General Preferences. From this menu choose the action you want to perform; this will only be reflected in the current session.

Schedule

Displays the transfer Scheduler.

Compare Views

Compares the folder contents of the exploration views.

Clipboard monitoring

With this option you can use Windows clipboard to copy URL addresses. To do so place a check mark in the Monitor Clipboard for URL's box. Select the type of URL you want to save by activating the corresponding box.

You can also change the clipboard's default values in general preferences.

Paste URL(s) from Clipboard

Recovers an address previously copied to the clipboard.

Scan File(s) for URL's...

Enables saving addresses on a Web page and establish a connection.


Help menu

Menu

Description

How to order AceFTP 3

Launches the browser so that you can access Visicom Media inc. directly.

Contents

Displays AceFTP's general online help.

What's this?

Displays help related to the item you selected.

  • Click this option on the menu and then click anywhere on the display and a pop-up explanation window will be displayed.

Visicom Media on the Web

In the list of options, choose the service category that meets your needs to contact to Visicom Media's Web site.

About

Displays a dialog box indicating the program version and prompts you to update it if there is an update available. You will also need to use this dialog box to register your program or to order a registered version.


Changing window displays

The way AceFTP is displayed can be adapted to the way you usually work. Basically, you can:

Increase or reduce the size of a window

Change the size of the exploration views

Increase or reduce the size of a window

Changing the size of AceFTP's windows is performed as it would be in any other Windows application:

  • Click on the Minimize [image] box to hide the window.

  • Click on the Maximize/Restore [image] box to reduce or increase the size of the window.

  • Point to one of the window borders and when the pointer changes to a double arrow, click on the border, hold down the right button mouse and drag the border until you get the desired window size.


Exploration views

By default, the right exploration view displays the directory tree of files and folders found on the server; the left exploration view displays the local computer folders.

With AceFTP you can make several simultaneous transfers by opening a new view of the folder. The name of each opened page is indicated on each connection view, displayed at the bottom of the view.

  • You can execute commands on the files using the shortcut keys or the Action Toolbar (Left Actions and Right Actions) located to the left of the view.

  • You have easy access to the navigation tools using the shortcut keys or the Navigation toolbar (Left Navigation and Right Navigation) located on top of the view.

You can also use AceFTP to make file transfers from local to local or server to server by moving the exploration views to the other section of the window.

To learn more about multiple connections or working on multipages mode.


Modifying the exploration views

By default, the left view displays the local folders while the right view displays the folders found on the server. You can move the views in different ways to facilitate local to local transfers as well as server to server transfers. Besides, you can also change the size of the exploration views or hide the left exploration view.

Move one view to another exploration view

You must have at least two views open to transfer one view to another in the exploration view.

  1. Click on the tab of the view you want to move.

  2. While holding the mouse button down, drag the view over the other view.
    Two green arrows are displayed while you are dragging the view.

Changing the size of exploration views

  1. Pace the pointer over the area that separates them.
    The pointer changes to a double arrow.

  2. Click on the border while holding down the left mouse and drag the border to change the size.

Hiding the left exploration view

  • Click on the Maximize Right View icon.

  • Click once more on the icon to display again both exploration views.


Multipages mode

Using AceFTP, you can make several file transfers simultaneously since the program allows opening a new view for every folder. Additionally, you can make simultaneous transfers over one server (one connection) or over several servers (using several connections). When you connect to a second server, a new view is opened in the server exploration view.

The name of the new connection is shown on a tab at the bottom of the view. If you open several pages using the same connection, the name of the server is followed by a number.

You can create different views on both exploration views.

To open a new view

  1. Click on the Add Copy of this View icon on the Navigation toolbar.

To close a view

  1. Click on the Remove View icon on the Navigation toolbar.


File Masks

Applying a file mask to a file is just like filtering the file types displayed in a list.

Filtering displayed items

  1. On the Left Action or Right Action toolbar, click on the File Mask button.

  2. In the Mask dialog box, select the type of file to display and then click on OK.

The view displays only the file types you selected.


Thumbnails view

Previewing images allows displaying the files as thumbnails to facilitate their identification.

Displaying file thumbnails

  1. On the Action toolbar of the exploration view to be modified, click on the Preview of images.
    The exploration view displays thumbnails:

  • If the image is a (.gif, .jpg), the thumbnail displays the image.

  • If the file is another type of application (.doc, .html, .pdf) the thumbnail displays the icon of the application used to view or edit the file.

  • If displaying a folder, the icon is that of a folder.

  2. Click again on the Preview of images button to re-display the folder details.


Exit AceFTP

To close the window and exit AceFTP

  • To close the window and exit AceFTP, click on the Close [image] button.
    You can also exit using the File | Exit menu.


Lock AceFTP

For FTP server security access reasons, you may wish to restrain the access to AceFTP to certain specific users. You may do so by defining a password to access the application.

Defining a password to access AceFTP

  1. Launch AceFTP.

  2. Go to File | Lock AceFTP.
    The Password Required dialog box is displayed.

  3. In the Please enter a valid password field,enter the desired password.

  4. Click OK.

The AceFTP interface automatically closes after entering the password. The next time the application will be opened, the password will be required.


AceFTP's general preferences

Most of the connection parameters, handling of messages and queues can be defined by default depending on the most frequent activities you perform when using AceFTP.

To open AceFTP's General Preferences window:

  1. From the main menu select Tools | General Preferences.

The General Preferences window is divided into two sections. The left side lists the application configuration parameters; the right side lists the corresponding options.

Using General Preferences window.

You can specify the following parameters:

Start-up options

General parameters

Message requesting confirmation on different activities

File transfer modes

Queue parameters

Firewall Proxy Types (when using firewall)

File/Application Associations

Files you can view on the AceFTP's Viewer

Modifying Exploration Views

Logging options

Configuring temporary files

Configuring sound events

Clipboard monitoring

Dial-up options


Start-up options

By modifying these options you can change the way AceFTP responds when it's launched.

  • In the General Preferences window, click on the Application parameter.

Sites to load on start up

Indicate the site to which you want to connect when AceFTP is launched.

  • None: Choose this option to prevent an automatic connection.

  • From last session: Choose this option to activate the connection from the last session.

  • Prompt: Choose this option so that you are prompted to indicate which connection you want to use when the program is launched.

After start up

Indicate what action AceFTP should perform immediately when it's launched.

  • Do nothing: Choose this option to carry out no particular action; AceFTP's main window is displayed.

  • Show Site Manager: Choose this option to display the Site Manager.

  • Show URL dialog: Choose this option to display the Connect to URL dialog box so that you can specify a connection without using the Site Manager.

Default icon for site profiles

Change the icons of site profiles.

  • Load: Change the icon of a particular profile. The extension of an icon file is .ico and can be usually found in the Program files subfolders.

  • Reset: Reset a previously changed icon.


General parameters

General parameters are related to the history of transfer activities and the display of information.

  • In the General Preferences window, click on the General menu.

Use the following password for Anonymous FTP sites

Anonymous FTP sites accept "Anonymous" as the user ID. This area is disabled when referring to an Anonymous FTP site.

Number of history entries to remember

Indicate the number of connections you want to keep in the list of recent connections that will be available in the File menu.

  • For Sites: number of connections using the Site Manager.

  • For URL's: number of sites using a direct connection.

Associate site profile files .ftp with AceFTP

Defines AceFTP as the default program when opening .ftp files. This extension is used to identify site profiles.

Minimize to system tray

When you minimize AceFTP, an icon is placed in Windows system tray on the right side of Windows Tasks bar.

Manager window stays on top when undocked

Forces the Session Manager on top of the Main AceFTP window when undocked.

Show status bar sizes in bytes

Display file size in bytes on the status bar. If the option is not checked, then the size is displayed in kilobytes or megabytes.

Notify when transfers are completed

Displays a message when transfers are successfully completed.

Focus a server when connecting to it

The right exploration view automatically displays the server's folders you accessed the last time you connected to it.

Enter newly created folders

AceFTP automatically displays the newly created folder.


Message requesting confirmation

Select the confirmation messages you want to be displayed after you performed any of the following actions:

  • On the General Preferences window, click on the Confirmations menu.

Collision action when downloading | Display a message when the file you are downloading to your hard disk has an identical name to one located in the destination folder.
Collision action when uploading | Display a message when the file you are uploading to the server has an identical name to one located in the destination folder.
Delete files & folders | Display a message every time you delete any of these items.
Move files & folders | Display a message every time you move any of these items.
Delete source file when skipping the actual transfer of a move | Display a message every time you move a file, to remind you that you are removing the file from the source folder.
Disconnect from server | Display a message indicating AceFTP will disconnect from the server.
Quit application | Displays a message very time you exit AceFTP.
Disconnect all connections when going off-line | Display a message when AceFTP interrupts all the current connections when you go off-line.
Automatically go on line when restarting queue processing | Display a message when AceFTP performs an automatic connection when performing the queue list.
Associate site profiles .ftp with AceFTP | Defines AceFTP as the default program when opening .ftp files. This extension is used to identify site profiles.
Browse cached sites off-line when no internet connection is available | AceFTP browses off-line Internet Explorer cached sites.
Perform configured actions at end of transfers | Display a message after each successful transfer.

An asterisk (*) in front of a parameter allows defining the properties of a dialog box when messages are displayed. In the Dialogs will automatically be dismissed after XX seconds dialog box, enter the appropriate time unit.


File transfer modes

These options allow you to indicate the type of file format you wish to use during transfers and to specify how AceFTP should respond during collisions and after certain activities are completed.

  • On the General Preferences window, click on the Transfers menu.

Transfer | Select the default transfer mode you want to use for all your connections. Each connection can be modified individually according to the possibilities and limitations of the server you are connecting to, using Site Profiles.
ASCII Files | To associate filename extensions to ASCII file formats.
Collision Actions | Indicate how AceFTP should respond when two identical files are encountered.
Completion Actions | Indicate how AceFTP should respond after a successful transfer.

General Transfer Options

Delete source when a Move operation is skipped due to a collision action

Automatically delete the source file after a transfer.

Default Transfer Mode

Select the default transfer mode you want to use for all your connections. Each connection can be modified individually according to the possibilities and limitations of the server you are connecting to, using the Site Profiles.

Resumable files

Indicate the type of files you want to resume transferring if the transfer is interrupted.

Caching of folder listings in new or imported sites

Server sites may be temporarily cached in the Internet browser, just as web sites you visit on the web.

Indicate the type of caching you wish to perform:

  • Always off: to turn off the cache

  • Only until site is closed: the site is cached for the current work session only

  • Always on: the site is cached for the number of days specified in the adjacent zone.

Number of days to keep folders in cache

Indicate the number of days files must be cached. They will be automatically deleted after this period of time.

ASCII Files

List | List of ASCII format file extensions.
Text box | If you click on one of the extensions it will be displayed in the text box where you can edit it. You can also enter in the text box a new extension and add it to the existing list.
Add | Adds the new extension to the list.
Replace | Replaces the selected extension in the list with the one you modified in the text box.
Remove | Delete the selected extension from the list.
Add Defaults | Restore AceFTP's default values.
Clear All | Delete all the extensions from the list.

Collision Actions

You can indicate to AceFTP what to do when an identical file (same name) is found in the transfer destination. To differentiate the old file (already in the destination) and the new file (file transferred), AceFTP will evaluate the dates and sizes of the files.

You will find 3 columns in the table, to indicate what should be executed if the destination file is older, the same age, or newer. You will also find 3 rows to indicate what should be executed if the destination file is smaller, the same size or larger.

For each of the 9 cross-possibilities, you may choose an action that AceFTP will perform when the conditions (date and size) are met.

Overwrite | Overwrite the file according to the established condition.
Rename | Rename the file according to the name of the file that meets the established condition
Resume | Resume an interrupted transfer.
Skip | Skip the file transfer (e.g. go to the next transfer) without taking any other action regarding the file that meets the established condition.

Completion Actions

Go off-line | Interrupt the connection of the current profile.
Disconnect from server | Interrupt all connections that can be established with the same server.
Hang up modem, but only if AceFTP dialed | If the modem connection was initiated by AceFTP, hang up the connection.
Hang up modem | Interrupt all current connections that are being processed by the modem, regardless of the type of connection or server.
Quit FTP | Interrupt the connection and exit the program.
Log off current user | Interrupt the connection and log off the current user.
Shut down the computer | Shut down all the computer programs or activities and shut down the computer; a dialog box requesting confirmation is displayed.
Reboot the computer | Shut down all computer programs or activities and display a dialog box to restart the computer. You can select the necessary action from the dialog box.
Power off the computer | Shut down all computer programs or activities and display a dialog box to shut down the computer. You can select the necessary action from the dialog box.


Transfer queues parameters

These options are used to specify the way activities listed in the queue should be carried out. These activities are displayed in the Queues tab found in the Session Manager.

  • On the General Preferences window, click on Transfer Queues menu.
    The parameter's directory tree opens and displays the sub-parameter Persistent Items.

Add folder listing items to top of queue | Automatically refreshes the folders list in the exploration view as items are transferred.
Resolve all items before transferring | Add all items to be transferred to the list so that you can manage them. It is not advisable to use this option if you have more than 1000 items to transfer, as this would considerably slow down the process.
Expand new folder entries | Shows the directory tree of folders under the Queues tab. It is not advisable to use this option if you have a huge amount of items to transfer as this would considerably slow down the process.
Collapse completed folder entries | Close folder directory trees under the Queues tab when the transfer is completed.
Hide completed sub-entries until root entry completes. | Place in the computer's cache memory all entries in queue.
Clear pending queue items when disconnecting | Clear all items queued when disconnecting.
Persistent Items (sub-parameter) | After the transfer process, you can keep only those items that correspond to a particular status. Check the appropriate box to keep the items in the computer's queue.
Remove | Indicate the number of days you want to keep these items on the queue.


Firewal Proxy types

Firewall Proxy types

If most of the time you work in firewall proxy environments, you can indicate the default options you would like to use.

  • On the General Preferences window, click on Firewall proxy types menu.

List of defined firewall proxies | List of firewall proxies you defined.
Add | Click on this button to add the new firewall proxy you defined in the Properties text box.
Replace | Click on this button to accept the changes made to the firewall proxy properties.
Remove | Click on this button to delete the firewall proxy selected in the list.
Add Defaults | Restore AceFTP's default values.
Clear All | Click on this button to delete all the firewall proxies in the list.
Name | When you select a firewall proxy from the list, it's displayed in this text box. If none is selected, you can enter a name in the text box to create a new type of firewall proxy.
First open a connection | Start the connection before applying the firewall parameters.
Special commands | Enter in this field a customized command that you would like to use with this type of firewall proxy. Refer to the Legend area for syntax examples.
USER parameters | Enter in this field the special commands you would like to use. Refer to the Legend area to verify command syntax. For more information, check the option Customized commands.
Legend | Example of customized command syntax.


File/Application associations

In order to edit or view a file's content, you have to create associations between files (file extensions) and applications. An application can be associated to several extensions and a file format can also be associated to several applications, such as an editing or viewing application.

For example, you can associate a Web page – a file with the extension .html – to AceFTP to edit it, and to Internet Explorer to view it.

  • On the General Preferences window, click on Applications menu.
    Indicate the applications that you want to use with AceFTP. The parameter's directory tree is displayed so that you can choose options specific to scanner (anti-virus), editors and viewers.

External Application Options

List of applications used

Displays a list of applications already associated with certain files.

Add

Click on this button to add a new application to the list.

Replace

Click on this button to change the name of the application selected from the list.

Remove

Click on this button to remove the selected application.

Path

Indicate the directory path of the application you want to use in the associations.

  • …: Click on this button to display a dialog box to select an application. Only files with the .exe (executable) extension are displayed.

  • Arrow: Click on the arrow to select one of the applications already in the list in order to make changes to it.

Display Name

When you select an application from the list, it's displayed in this text box. If none is selected, you can enter a name in the text box to create a new application.

Use DDE

Place a check mark in this check box in order to activate the fields related to Dynamic Data Exchange (DDE). You will need this information if you plan to use a server application, that is, an application not installed in your computer.

DDE Message

Enter the message you wish to send to the other application.

Topic

Enter the definition name of the server. Generally, the topic refers to the name of the file and its address, as used by the server.

Application

Enter the name of the application you want to call.

DDE Application Not Running

The application's address is automatically entered in this field once the dialog box is closed.

Scanner Options

These options are used to check for viruses in files you download and upload.

Scan downloaded files

Enable this box to request scanning of transferred items. The dialog box zones will be enabled.

Scan files that match any of these masks

Select a mask from the list or add a new mask.

If you select a mask from the list, its name appears in the adjacent text box. Make any necessary changes and click on the Replace button.

  • To add a new mask, enter its name in the text box, associate the application and click on the Add button.

  • To delete a mask from the list, select it and then click on the Remove button.

And that do not match any of these masks

Select a mask from the list or add a new mask.

If you select a mask from the list, its name appears in the adjacent text box. Make any necessary changes and click on the Replace button.

  • To add a new mask, enter its name in the text box, associate the application and click on the Add button.

  • To delete a mask from the list, select it and then click on the Remove button.

Using this application

Indicate the application you use to scan these type of documents. The applications displayed in this list are those indicated in the general options of the Application parameter.

Editor Options

Used to associate an application for editing (changing) a particular file format. Once associations are made it will be possible to start the application to edit the file.

The associations for editing and viewer applications are made in the same manner.

Viewer Options

Allows to associate an application for viewing files. Once associated, it will be possible to start the application.

The associations for editing and viewer applications are made in the same manner.

Editing application and Viewer application definitions

File Mask

Used to determine the file extensions associated with an application (for example, *.html, *.gif – the asterisk indicates that all names with the corresponding extension are part of the association).

If you leave both asterisks unchanged (*.*) then the association is extended to all types of files.

Application

Select the application to be associated to the file types. The applications displayed in this list are those indicated in the general options of the Application parameters.

Add

Click on this button to add a new association to the list.

Remove

Click on this button to delete a selected association from the list.


Viewable Files

AceFTP allows you to identify the type of files you can edit or modify.

  • On the General Preferences window, click on Viewable Files menu.

List of files | Displays the extension of file types that AceFTP is authorized to open from the exploration view.
Field | The file type you select from the list is displayed in the text box. If none is selected, you can enter an extension in the text box to create a new one.
Add | Adds the new extension to the list.
Replace | Replaces the highlighted extension in the list with the one you modified in the text box.
Remove | Delete the selected file type from the list.
Add Defaults | Restore AceFTP's default values.
Clear All | Delete all the file types from the list.


Exploration view display properties

You can change the general display of the program, the way it responds to a single click or a double-click of the mouse, or how the preview of images are displayed.

  • On the General Preferences window, click on List Views menu.
    The menu's directory tree displays sub-menus:

  • Mouse selection - Simple-clic action

  • Double-clic action

  • Thumbnails display

Modifying the program's display

Show size in bytes

Check this box to display the size of files in bytes in the exploration view when a list is displayed. If the option is not checked, then the size is displayed in kilobytes or megabytes.

Full row select

Check this box to highlight the complete line of the item selected when file details are displayed in the exploration view. If the box is not checked, only the name of the item is highlighted.

Grid lines

Check this box to display grid lines in the exploration view when file details are displayed.

Auto-size columns

Check this box to auto-size columns when changing folders in the exploration view and file details are displayed.

Default View

Choose the display style you want to see when you start the program.

Available view styles are:

  • Large Icons: large icons identifying the source file application (associated application). The name of each file is displayed to the right of the icon.

  • Small Icons: small icons identifying the source file application (associated application), positioned side by side, in rows. The name of each file is displayed to the right of the icon.

  • List: small icons identifying the source file application (associated application), in columns. The name of each file is displayed to the right of the icon

  • Details: small icons identifying the source file application (associated application), in a table. Each line provides the file details: name, size, format and last modification date.

  • Thumbnails: file thumbnails displaying either its preview or the associated application icon.

Mouse Selection

The Mouse Selection sub-menu allows defining the response of a selected item when single-clicked.

Use system folder settings | Choose this option if you want the mouse to respond as it usually does under Windows. If this option is checked, the other options in the dialog box are not available.
Single click to open (point to select) | Select this option so that file names are shown as hypertext links. You can change the display of file names when you move the mouse over it or when you select items in the exploration view.
Double click to open (point to select) | Choose this option so that file names do not change at all when the mouse is moved over them.

Double Click Action

The Double Click Action sub-menu allows defining the behavior of a selected item when double-clicked.

Local double click action | Choose among the available options the reaction to double-clicking on an item in the local exploration view.
Server double click action | Choose among the available options the reaction to double-clicking on an item in the server exploration view.

Thumbnails

The Thumbnails sub-menu allows defining the thumbnail appearances when the exploration view is in Thumbnails mode.

Size | Click on the handle to modify the size of each thumbnail as they are displayed in the exploration view.
Spacing | Click on the handle to modify the spacing between thumbnails as they are displayed in the exploration view.
Don't download images larger than XX KB | Allows ignoring thumbnails of image sizes larger than the specified size. This option allows to avoid decoding large images which would reduce the system speed.


Logging parameters

The Logging options are used to indicate what information should be displayed under the Log tab of the Session Manager.

  • On the General Preferences window, click on Logging menu.

Show only status information | Check this box to register in the log only information concerning connection status.
Add Timestamps to log entries | Check this box to register in the log the time every action takes place.
Limit the number of memorized lines to 100 | Check this box to limit the number of lines displayed in the log by entering said number in the text box.
Save to file | Enter the path of your computer where you store the log information. This file has a .log extension. Click on the Browse button to bring up a dialog box to search for an existing file. If you want to create a new file, replace the name displayed.
Append to file between sessions | Check this box to append the log's entries to the existing file after you finish a work session. If this option is not activated, only the most recent log session activities will be saved.


Temporary files parameters

The temporary folder contains information that is only saved temporarily during a work session (for example, backup copies).

  • On the General Preferences window, click on Temporary Files menu.

Don't use system Temp folder, use this one | By default, AceFTP uses the system folder to save temporary information. You can specify a different folder by indicating its path and name in the text box or by selecting it from the dialog box that is brought up when you press the Browse button.
Delete temporary files upon exit | Check this box to delete items created in the temporary folder once the work session is completed (when you exit AceFTP).
Use Temp folder when performing the following actions on remote files | Enable the appropriate buttons to indicate the situation when you would like to have a backup copy saved.


Sounds options

You can associate different sounds to events performed by AceFTP during the work session.

  • On the General Preferences window, click on Sounds.

Your computer must have a sound card and speakers installed in order to listen to these sounds.

Enable sound events

Select this box if you want to listen to sounds as certain events take place.

Events

List of events performed by AceFTP that can be associated to a sound.

Sound

Choose a sound from the drop down list. If a sound is not associated with an event, the name displayed is None.

Open file(s)

Click on this button to open the dialog box and select a sound file.

Preview

To listen to the sound selected:

  • Click on the [image] button to play the sound file; click on the [image] to stop playback.


Clipboard monitoring

With this feature you can use Windows clipboard to copy URL addresses.

  • On the General Preferences window, click on Clipboard monitoring.

Monitor clipboard for URL's of the following type | If the box is not checked, the options in the dialog box are not available. Check this box to activate these options.
Prompt for acceptance of the URL's | Check this box to have a message of confirmation brought up before the command is executed.
Default Destination Folder | Choose the folder the URL must be saved to. Choose the empty field to select a folder from the disk.


Automatic dial-up options

This parameter is used to configure a dial-up connection.

  • On the General Preferences window, click on Dial-up.

Auto-dial and connection to a server

Check this box to activate the auto-dial options.

  • Enter the dial-up entry to use: Choose the connection you want to use to dial-up. The drop down list displays the dial-up connections used under Windows.

  • Refresh List: Click on this button to refresh the list if you have made changes to the dial-up connections recently.

Authentication

By default AceFTP uses the values saved for the connection chosen. You can change the authentication and identification values.

Keep the Use the stored values box checked:to use the default parameters for the chosen connection. If you deactivate this option, the corresponding text box is activated and you can modify the parameter.

  • User ID: Enter your user name.

  • Password: Enter your password.

  • Domain: Enter the domain name.

This information is provided by your Internet Service Provider, except in cases of Anonymous FTP sites.

Callback

This option is used to authorize the number of times the callback function is performed. Select the button Disable if you do not want to use this option.


Getting started quickly

Before being able to transfer files between your computer and the server you selected, you must first establish a connection. To connect to a server, you will need the following information (provided by the system administrator):

  • The FTP address of the chosen server,

  • your user identification,

  • your password.

Your user identification and password are not required if you are using an Anonymous FTP site.

The connection may be established in different ways:

  • direct connection to a URL

  • connection using the Quick Connect toolbar

  • connection using a Site Manager profile

Once you will be connected to the server, the list of server files will be displayed in the AceFTP exploration view. You can now select files or folders and transfer them.


Connecting to URL

You can connect quickly to an FTP site using this command without using the Wizard, using the Connect to URL command.

Using this option you cannot define the advanced connection properties but rather you use parameters from another connection. To change properties, use the site profiles.

For more information check the topic Site Manager. With the Manager you can save connection information, define advanced parameters and manage site profile folders.

  1. From the menu select File | Connect to URL or click on the Connect to URL button on the Main toolbar.
    The Open URL dialog box is displayed
    The arrow next to the icon displays the addresses you used recently. To use a previous connection, drop down the list and select it.

  2. To create a new connection, complete the necessary information.

You may also use the Quick Connect toolbar.

Defining a direct connection

As you complete different fields, the dialog box is updated. You can access the server once you complete the URL section where the complete address is shown as well as the other required information.

URL

Enter the address of the server.

URL Type

Select the button that corresponds to the URL address entered.

  • FTP: To access an FTP site that requires a user ID and a password.

  • Anonymous FTP: To access a public FTP site.

  • HTTP: To access a Web Server. If you choose this option, the Open using Microsoft Internet Explorer will be displayed. In the Referer URL, enter the Web address of the site to which you want to connect.

User ID

Enter your user name. This information is supplied to you by your Internet Service Provider.
If you selected an Anonymous FTP site, then this field automatically displays the value anonymous.

Password

Enter your password. If you selected an Anonymous FTP site, then this field is not available.

Server

Enter the address of the server you want to access. By default, the name of the server appears in this field when you type the address of the server's URL.

Port

The port normally used to connect to an FTP server is Port 21.
If necessary, you can modify the port number. You can obtain more information from your Internet Service Provider.

Folder

Enter the folder you want to access once you are connected to the server.

File name

Enter the file name you want to access once you are connected to the server.


Launching transfer

When you transfer files, you can either copy or move the files to the server.

  • When you copy a file to the server, you keep a copy in your source folder and create a copy in the destination folder;

  • When you move a file it's deleted from its original location.

You can transfer files between your computer and a server. You can also transfer files from local to local, or server to server, if you move from one exploration view to another by dragging & dropping a tab with the help of the mouse from one side to another. For example, if you have displayed a view of a server on the right side and a view of a server on the left side, you can transfer files between servers (also called FXP) as long as the two servers support this function.

  • Start the connection to the server where you want to transfer files.

  • With the help of the navigation list on the Navigation toolbar, find the appropriate folder in each of the exploration views.

  • Select the items you want to transfer.

  • Depending on the direction of the transfer, click on the Copy to right or Copy to left icon in the middle bar.

  • If you want to defer the transfer, drop down the commands on the Copy to… icon by clicking on its arrow and select Copy to... queue.
    The items are added to those found under the Queues tab of the Session Manager. You can make your transfers with the help of the queue options.

You can also move the item by selecting the appropriate command from the list of commands on the Move to the Right button.

You can also use the method of clicking and dragging used in Windows to move files.

If AceFTP detects there is an identical file in the destination folder, the dialog box Confirm Collision Action is displayed. There are several possibilities:

Rename | AceFTP transfers the file and renames the existing file found in the destination folder adding "_old" to it in order to identify it.
Overwrite | AceFTP transfers the file by overwriting the file with the same name.
Skip | AceFTP skips the file and goes on to transfer the following file.
Cancel | The transfer is canceled.
Set action as default for rest of queue | Check this box before carrying out any of the commands so that AceFTP performs the same action on the rest of the queue.
Don't show this information again | Select this box if you do not want to see the message again. From then on, AceFTP will use the parameters defined in the General Preferences window.


Disconnecting

  1. Make sure you have selected from the exploration view the connection from which you want to disconnect. The button that identifies the connection should be highlighted on the connection buttons.

  2. Click on the Disconnect button on the main toolbar. You can also choose the connection you want to interrupt from the lists of active connections listed under the Disconnect button.


Connecting to an FTP server

With AceFTP you can connect to an FTP server in three different ways:

Supplying a server's exact URL address,

With the assistance of the Site Manager,

Using the Quick Connect toolbar.

To establish a connection with your host server, you need the following information:

  • The FTP address of your server,

  • Your user name,

  • your password.

You don't need a user name and password to connect to an Anonymous FTP site.

If you don’t have this information, contact your Internet Provider technical support.

You may also select the folder that you want to display in the local or server exploration view when starting a work session.


Starting a connection used recently

Starting a recent connection

  1. Click on the arrow on the Connect button.
    The list of the most recent connections is displayed.

  2. Click on the desired connection.

You may modify the number of history entries to remember in the general parameters of the general preferences.


Connecting using the Site manager

  1. Select File | Connect, or click the Connect button in the main toolbar.
    The Site Manager is displayed.

  2. In the Site Manager window, select the icon of the site to which you want to connect.

  3. Click on the Connect button on the Site manager toolbar, or double click on the site's icon.


Modifying an ongoing connection

You can change the properties of an ongoing connection.

  1. Select the connection you want to modify.

  2. From the menu select Site | Edit current connection.
    You may also use the Properties command of the connection page's pop-up menu.

The Connection properties dialog box is displayed.


Connecting using a Web site's URL

You cannot recover theses addresses unless you saved the Web pages previously (using a browser). The information is temporarily saved to Windows clipboard.

  1. From the menu select Tools | Scan File(s) for URL's.
    A dialog box is displayed.

  2. Select the Web page whose address you want to access.
    A dialog box displays the complete list of URL's found on the page. This list contains the main page's URL as well as other links found on the page.

  3. Place a check mark on the boxes next to the addresses you want to copy.

  • Remove the check mark from those URL's you do not want to copy.

  4. In the Destination Folder field, enter the folder address in which you wish to save the addresses.

  • Click Browse to locate the folder.

The list of files in the tree view may appear different depending on the options defined in the clipboard parameters of the general preferences.

  • Check Always use this folder to save the address.

  • Check Do not show this message again if you do not want this dialog box to be displayed the next time you open these addresses.

  5. Click on OK.

AceFTP will attempt to connect automatically.


Multiple connections

Using AceFTP you can connect to more than one FTP server at the same time. The servers to which you are connected are displayed on the Connecting buttons that is placed under the Session Manager.

For each new connection, a button appears on the bar. The name on the button corresponds to the name you gave the site when you created the connection

The highlighted button indicates the active FTP site that is displayed on the exploration view.

For every connection a new view (tab at the bottom of the view) is placed in the server exploration view.

  • Click on a button to activate the corresponding FTP site.

You can also work with several folders of the same FTP server.


Transferring files

Transferring files over a Web server is simply copying a file from one location to another. The process is the same as copying or moving files in your computer using Windows Explorer, except that you are transferring files to and from a server.

File transfers can be made in both directions. That is, you can upload files from your computer to the server, or download files from the server to your computer.


Adding transfers to the queue

When you transfer files, you can either copy or move the files to the server.

  • When you copy a file to another server, you keep a copy in your folder and create a copy in the destination folder.

  • When you move a file, it's removed from the original location and placed in the destination folder.

Adding transfers to the queue

  1. Start the connection to the server where you want to transfer files.

  2. Select the items you want to transfers with the server and go to the destination folder.

  3. On the middle toolbar, click on the arrow in the direction of the transfer and select Copy to... queue.
    The items are added to those found under the Queues tab of the Session Manager.

You can use the queue to work with multiple connections.


Processing the queue

The transfer priority order follows the order in which each operation has been queued.

Items automatically queued, for example if the connection to the server failed, will be resubmitted as many times as specified in the Transfer options of the general preferences. Each transfer execution time may be manually anticipated or postponed.

Starting processing queued items

  1. Click on the Queues tab in the Session Manager.

  2. Select the transfer to execute.

  3. Click the Start Processing Queue button.
    Items will be transferred in the order they appear in the queue.

Modifying the transfer priority order

  1. Click on the Queues tab in the Session Manager.

  2. Select the transfer to modify.

  3. Click the arrow corresponding to the move's direction.

  • Move Up, to anticipate the transfer's execution,

  • Move Down, to postpone it.

Items may be moved at the start or at the end of the queue, using the arrows of those buttons.


Comparing folders

AceFTP may help you comparing active folder content locally and on the server to help you updating web sites.

  1. On the local and server views, select the folders to compare.

  2. Select the menu Tools | Compare Views.
    The Comparison Options dialog box is displayed.

  3. Select the comparison options:

  • Ignore size differences: to ignore identically named files with a size difference.

  • Ignore date differences: to ignore identically named files modified on different dates.

  4. Click OK.

In the views, the different files are shadowed and ready to be transferred.


Folder access rights

  1. Open the pop-up menu on a file or folder on the server.

  2. Select Properties.
    The [name of the page or folder] Properties dialog box is displayed.

  3. In the Attributes section, place a check mark in the boxes corresponding to the rights you want to grant.

You can grant read, write or execution rights. The rights are defined depending on the intended user.


Site Manager

The Site Manager is an application built into AceFTP 3. It is very useful to create, change or delete files that contain connection parameters as the need arises. The Site Manager is very similar to Windows Explorer.

To open the Site Manager,

  1. From the menu select File | Connect.
    or click on the Connect button on the main toolbar.

The Site Manager window is displayed. The window is divided into two sections and has the usual tool bars, (main menu and toolbar).

You can switch between the Site Manager and the Session Manager simply by clicking on the corresponding side of the window. If you want to keep the Site Manager in plain view, from the main menu select View | Stay on Top.

The left and right windows

  • The left window displays the structure of folders.
    These folders are used to classify the connection files according to the needs of the user.

  • The right window displays the site profiles, stored under the folder you have selected on the left window. You can carry out different operations on these files.

To copy or move a connection file, you can use Windows Copy & Paste or Drag & Drop.


Site Manager's toolbar

To connect to the address of the selected site profile.

Display the New site profile Wizard to create a new connection file.

Display the contents of the folder viewed previously.

Return to the contents of the folder displayed previously if you click on the Back button.

Move up one level of the parent folder displayed.

Hide (or display) the left window to maximize the right window and display all the site profiles.

Display the Favorites folders of Microsoft Internet Explorer.

Create a new folder.

Move a connection folder to another folder.
To move the file, when you click on the icon the Browse for folder dialog box is displayed so that you can choose the destination folder.

Copy a connection folder to another folder.
To move the file, when you click on the icon the Browse for folder dialog box is displayed so that you can choose the destination folder.

Delete the selected item after displaying a dialog box requesting confirmation to delete it.

A window displays the different properties of the item selected.

Shows a list of display types that may be applied to the window.

Displays the Session Manager Online Help.

Used to add or remove buttons from the toolbar.


Site Manager's menus

Menu | Description
File | File and folder management.
Edit | Copy and move site profiles.
View | Change display options and views.
Connection | Connection and management of connection classes.
Favorites | Manage favorites.


Site Manager's File menu

Menu

Description

Create

Displays the Connection Wizard to create a new connection.

Create shortcut

Create a connection shortcut on Windows desktop

Delete

Delete the selected site profile.

Rename

Change the selected site profile's name.

Properties

Opens the Properties dialog box of the selected item.

Import

Displays the Site Import Wizard used to import connection files from a previous version of AceFTP or other FTP software.

Close

Exit Site Manager.


Site Manager's Edit menu

Cutting or moving an element will delete it from its source location, once the command is executed Copying an element will create it in the new location and a copy will remain in the source location, once the command is executed.

Menu

Description

Cut

Deletes the selected item and places it on Windows clipboard from where it can be recovered.

Copy

Copies the selected item and places it on Windows clipboard from where it can be recovered.

Paste

Places the contents of the Windows clipboard in the location chosen.

Move to

Move a connection to another folder in the computer. A Browse for Folder dialog box is displayed so that you can choose the destination folder. You can start AceFTP by double clicking on said file.

Copy to

When you copy an item you create an additional copy that is placed in the selected destination and the original is kept in the source destination after the command is executed.


Site Manager's View menu

Menu

Description

Panels

To change the folder displayed in the window. You can display AceFTP Sites (default folder), the Favorites folder, or another folder in your computer. The option None hides the left window.

Status Bar

Display Windows status bar at the bottom of the window that supplies information on the folders selected.

Stay on Top

The Site Manager remains on top of the display.

Close on Connect

Closes the Site Manager automatically after connecting.

Large icons/
Small cons/
List/
Details

Change the display of folders accordingly.

Order by

Change the order items are presented in the display.

Refresh

Refreshes the folder already displayed in the window to reflect the most recent changes.

Folder Properties

Displays the Folder Properties dialog box of the selected folder.


Site Manager's Favorites menu

Menu

Description

Add to favorites

Add a favorite to Internet Explorer's Favorites.

Manage favorites

Display the Manage favorites dialog box. The Favorites organized with AceFTP are kept in Windows (Internet Explorer) Favorites folder.

Managing of favorites (creating folders, naming them, etc…) is done in the same way it's done using Internet Explorer.


Site Manager's Connection menu

Menu

Description

Connect

Activate the selected connection.

New Site Profile

Display the New Site Profile Wizard window

Manage Connection Classes

Displays the General Preferences window in order to manage connection classes.


Creating a site profile

A site profile contains all the information concerning a particular connection.

Creating a site profile is a two-step operation. To help you get started, AceFTP suggests you use the New Site Profile Wizard.

To create a new site profile

  1. Start Site Manager.

  2. Start the New site profile Wizard.

  3. In the Wizard's dialog box, enter the information requested:

Certain connections require special parameters that the Wizard cannot supply. Therefore, you have to edit the site profile to enter these parameters.

Please enter a descriptive name for this site

This name identifies the new connection. Enter the name you find most appropriate.

Server

Enter the URL address of the server.

  • Enter in the Port field the port number.
    The port normally used to connect to an FTP server is Port 21.
    If necessary, you can modify the port number. You can obtain more information from your Internet Service Provider.

User ID

Enter your user name. This information is supplied by your Internet Service Provider.
When connecting to an Anonymous FTP, this information is not required. Enter a check mark in the Anonymous check box. When this box is checked, the User ID and Password fields are disabled.

Password

Enter your password.
If you selected an Anonymous FTP site, then this field is not available.

  • Place a check mark in Save Password so that you are not required to enter it each time you connect.

However, if the box is checked, other users can connect to your servers when they use your computer.

Connect to this site when the Wizard finishes.

Connects to the site automatically after the site profile is completed.

  4. Click on the Next button to go to the next stage


Specifying initial folders

In this second stage the Wizard helps you specify the folders you want to display in AceFTP's exploration views.

You can click on the Back button to go back to the previous stage and verify the connection parameters.

  1. In the Wizard second stage, enter the folder addresses.

  • Enter local folder: Enter the full disk directory path of the folder you want to display in the local exploration view.
    You can click on the Browse button to view your computer's directory tree of folders.

  • Enter the host folder: Enter the address of the folder you want to access. Use slashes to indicate the different levels of subfolders (for example, folder1/folder2)

  2. Click on the Finish button once you have entered the information.

Certain connections require special parameters that the Wizard cannot supply. Therefore, you have to edit the site profile to enter these parameters.
You can designate more than one source folders for the same connection. To do so, you must open the site profile properties.


Site profile properties

With AceFTP you can change the parameters of the connection files that you defined with the New Site Profile Wizard.

You can also modify several types of information related to the connection, add personal information or obtain statistics.

  1. Start Site Manager.

  2. Select the site profile you want to modify.

  3. From the menu, select File | Properties,
    or
    click on the Properties button on the toolbar, or select the properties command from the pop up menu.
    The Properties window is displayed.

Double-clicking on a connection file will start this connection.

The Site Profiles Properties window

The Properties window is divided into two sections: the left view displays the list of connection class properties; the right view displays the details of the selected property, allowing accessing the parameters and options that can be applied to a connection or connection classes.

Using Site Profiles Properties window

Options for modifying connection files

Site and s erver Features

Connection general parameters

Connection, firewall and security management

Transfer parameters

Folder parameters

Conversion options

Customizing commands

Customizing scripts

Adding comments to connections

Statistics


Profile and server features

The Profile menu allows modifying the basic parameters defined using the New site profile Wizard. You may also specify certain parameters in order for AceFTP to consider access restrictions.

The Server Specific menu allows accessing additional options to specify the FTP server' s supported configuration.

  • Select the menu File | Properties in the Site Manager and click Profile.

Profile menu parameters

Server Identification

  • Server

Enter the server's URL address.

  • Port

Port 21 is usually used to connect to an FTP server.
If necessary, you can modify the port number. You can obtain more information from your Internet Service Provider.

User Identification

  • User ID

Enter your user name. This information is supplied by your Internet Service Provider.
When connecting to an Anonymous FTP, this information is not required. Enter a check mark in the Anonymous check box.
When this box is checked, the User ID and Password fields are disabled.

  • Password

Enter your password. If you selected an Anonymous FTP, then this field is not available.

  • Place a check mark in Save Password so that you are not required to enter it each time you connect.

However, if the box is checked, other users can connect to your servers when they use your computer.

  • Account

Some servers require an account name besides the user name. Enter the information.

  • Place a check mark in Save Account so that you are not required to enter it each time you connect.

Default Property Class

To modify the profile's association to a connection class.

  • In the Property Class Default Value tree, select the class to associate.

  • To modify a class or add a class, click Edit to display the Site Classes Properties & Hierarchy.

The connection classes can be used to manage several FTP sites, over an internal network (a business for example) or over the Internet (if you manage several web sites, for example).

Server Features menu's parameters

These parameters are used to identify functions that are unsupported by the FTP server.

Server Type

In the drop-down list, select the type of FTP server you want to connect to.

Unsupported Features
Select the unsupported options by checking the corresponding boxes.

  • Resume of broken transfers is disabled

AceFTP does not try to resume a connection when it's interrupted.

  • Persistent transfer modes are not saved from one transfer to another

File transfers are made using the standard mode. Any modification of a transfer type is automatically reset.

  • Setting of timestamps is not supported

Enable this option if the server does not support options concerning the time and date of transfers or modifying items.

  • Absolute paths are ignored

Enable this option if the server does not support options related to Initial Files.

  • PASV mode is not supported

The PASV mode is used to avoid conflicts during simultaneous file transfers. When using PASV (passive) mode, the new port required for transfers opens automatically.

Some servers do not support this mode. Enable this option to change to active mode. This ensures that the connection is stable from the client to the server only, by using a port number.

  • Indirect PORT values are not supported (used in FXP)

Enable this option if your server does not allow server to server transfers (FXP).

  • SITE Commands

SITE commands are specific to FTP4 servers. They are useful for establishing advanced settings for FTP sites.

  • CHMOD Commands

These commands are used to set limits to access and use with regards to the type of files you can transfer to a server. Using these commands you can indicate if users can read and write to a file, or if they are authorized to execute commands (for example, a Web page containing CGI scripts).


General parameters of connection

The General menu allows modifying the connection general information, for example the server time zone and temporary caching options.

  • Select File | Properties in the Site Manager and click General.

Server time zone

  • Use property class default value

To use the value indicated in the parent connection class.

  • Same as current zone

To use the value defined in Windows general parameters.

  • Specific zone

To enable the drop-down list allowing selecting time zone.

When a temporary downloaded file is modified

  • Use property class default value

To use the value defined in the parent connection class.

  • Disabled

To disable caching of temporary information.

  • Prompt first

To prompt for confirmation to cache or not information.

  • Enabled

Enables the caching of temporary information.

List site in shell pop-up menu

  • Prompt for destination folder

To prompt for the destination folder in the pop-up menu's shortcut.

  • Use this destination folder

To select a default folder to save shortcuts.


Connection management parameters

The Connection menu allows defining connection management options, that is the control on the number of connection attempts, the connection advanced parameters, the proxy server management parameters and security options.

  • Select File | Properties in the Site Manager and click Connection menu.

Each available option may be defined in two different ways:

  • Use property class default value: to use the value defined in the parent connection class.

  • Use custom values: to define a specific value for there current connection.

Connection management options

The Connection menu allows accessing the authorized number of connection attempts general options. Sub-menu commands allows accessing additional connection configuration commands:

Advanced: to define the response to a successful connection.

Keep-alive: to define the connection maintenance.

Firewall: to define the Proxy server options.

Security: to define security options.

Connection Attempts

Before disconnecting from server

Response in case of accidental disconnection.

  • Check the Send "Quit" before disconnecting box to force sending a QUIT message to the server executing the accidental disconnection.

Maximum number of connections

Definition of the maximum authorized simultaneous connection.

  • When using a custom number, specify the number of times in the corresponding field.

Maximum number of connection attempts

Definition of the maximum authorized connection attempts after failure.

  • When using a custom value, specify the number of times in the corresponding field.

Pause between connection attempts

Definition of the delay between each connection attempt to the server.

  • When using a custom value, specify the delay in seconds between each attempt.


Advanced parameters

Advanced options allow defining the response after successful connection or the possibility to work in double login.

  • Select File | Properties in the Site Manager and click Connection | Advanced menu.

Double login

A double connection is used to open two simultaneous connections to the same server; one for navigating the server and the other to transfer files.

Response timeout

Indicate the time (in seconds) that you consider reasonable to determine that the server is not available.

  • When using a custom value, specify (in seconds) the delay in the corresponding field.

Command to perform after logging in

Custom command executed during connection.

  • When using a custom value, select the command in the drop-down list.
    Use the Edit button to edit the command.
    The drop-down list displays the list of commands defined in the Custom Commands menu.


Keep-Alive parameters

The Keep-Alive menu's options are used to define rules to keep the connection alive, even if the relation between the local desktop and server is idle.

  • Select File | Properties in the Site Manager and click Connection | Keep-Alive menu.

Sending of periodic commands to keep the connection alive

To send a command to the server to keep the connection alive even if no activity is detected.

Keep-alive interval

To keep the connection to the FTP server alive for a maximum time if no activity is detected.

  • When using a custom value, specify the interval in seconds, in the corresponding field.

Hiding of keep-alive commands

To hide, on the Log tab of the connection manager, the keep-alive commands sent by AceFTP to the server.


Firewall parameters

The options found on the Firewalls menu are used when the server you are connecting has security features. Firewalls are used to prevent users who are not authorized to enter the network to access it.

  • Select File | Properties in the Site Manager and click Connection | Firewall menu.

By default, the parent class values are used.

  • To enable the options, remove the check mark of the Use property class default value box.
    The Type area is enabled.

Firewall Types

Select the options, depending on the type of connection:

  • Choose None if you don't want to configure a firewall.

  • Select proxy, of type to define specific settings.
    The drop-down list displays the firewall types defined in the AceFTP general preferences.

  • Select the socket version used for the connection if you are not using the default connection.

When you enable one of the options, Proxy, of type or Socket, the Connection section is enabled.

The system administrator is responsible for information regarding firewall parameters.

Firewall authorization

Server

Enter the server's URL address.

Port

Port 21 is usually used to connect to an FTP server.
If necessary, you can modify the port number. You can obtain more information from your Internet Service Provider.

User ID

Enter your user name. This information is supplied by your Internet Service Provider.
When connecting to an Anonymous FTP, this information is not required. Enter a check mark in the Anonymous check box.
When this box is checked, the ID and password fields are disabled.

Password

Enter your password. If you selected an Anonymous FTP site, then this field is not available.

Save Password

Place a check mark in Save Password box so that you are not required to enter it each time you connect.

However, if the box is checked, other users can connect to your servers when they use your computer.

Resolve host names locally

Check this box to perform automatic host researches.


Security parameters

AceFTP allows managing secured web sites using SSL encryption options.

The SSL protocol (Secure Sockets Layers) is made of a layer between sockets allowing securing certain transaction types performed on Internet. SSL uses a public key encryption process to lock documents, and only users with the decryption public key will be authorized to join the communication.

SSL process information exchange varies in function of the type of information exchange required and the security level required by the transaction. This process may or may not be transparent to the user.

Security options definitions

  • Select File | Properties in the Site Manager and click Connection | Security menu.

The parent site class default values are used by default.

  • To enable the options, remove the checkmark in the box Use property class default value.
    The Encryption section is enabled.

Encryption

Select the appropriate encryption type:

  • None (standard): uses the most common encryption process consisting of symmetrical coding. This coding type will use the same transmission coding and decoding private and confidential keys.

  • Explicit: uses an SSL authentication mode of communication. Once the client connects, an AUTH command will be issued to the server requesting usage of SSL communication. If the server authorizes the communication, all client transactions performed using SSL mode.

  • Implicit: any communication uses the SSL communication mode by default whenever the client connects to the server.

When selecting the explicit or implicit encryption type, the other sections in the dialog box are enabled to specify parameters.

Encryption level

Select the SSL or TLS version to use.

Data channel protection level

The protection level is applied to two transaction types: folder listings and file transfers. Enable the required option for the transaction to secure.

The protection level concerns the protection of the data channel linking the client and the server.

  • Clear (insecure): minimal level of protection. No security will be applied.
    Default level.

  • Safe: security level protecting data integrity during transfers.

  • Confidential: security level protecting the data transfer's confidentiality.

  • Private: security level protecting data integrity as well as confidentiality during transfers.

Integrity protection protects the format and content of the data during transfers, ensuring it will not be modified. Confidentiality protection means that no external source can enter the transferred content.


Transfers parameters

The Transfer menu allows managing AceFTP's response when transferring files by specifying the data channel.

  • Select File | Properties in the Site Manager and click Transfers menu.

The Download, Upload and FXP sub-menus allow configuring transfer modes of outgoing or incoming items.

The parent site class values are used by default.

  • To enable options, remove the check mark from the Use property class default value box.

Data Channel Options

Direction to use when connecting data channels

  • Use outgoing (PASV) connections: The PASV mode is a passive exchange mode used to prevent conflicting of simultaneous file transfers.
    Using passive mode is required by certain servers with firewall requiring the server to establish the connection. By default, AceFTP uses the active mode.

See also Server Features.

  • Use incoming (PORT) connections: Enable this function if your server does not authorizes server to server transfers (FXP).

IP address to use for incoming (PORT) connections

  • Address as reported by operating system: to enable automatic search of the IP address.

  • Use custom value: to specify a specific IP address.

Ports to use for incoming (PORT) connections

  • Let operating system determine port to bind to: to enable automatic search of the IP address.

  • Bind to ports in this range: to specify your own port parameters. Specify the size (bytes) in the corresponding fields.


Specific transfer options - Download/Upload/FXP

The Transfers menu allows defining outgoing, incoming and FXP options, which means defining AceFTP's response when downloading files.

The FXP mode is used for server to server transfers.

Preservation of file date & time | Enable this option to display the time of the file transfer by AceFTP. By default, after transfers, AceFTP displays the time of the last modification of the files. This option is applied to transfers to server.
Maximum number of transfer attempts | When using custom values, specify the maximum authorized attempt number of a previously failed file transfer.
Pause between transfer attempts | When using custom values, specify (seconds) the delay between attempts after a transfer to the server failed.
Maximum transfer speed | When using custom values, specify the maximum authorized speed when transferring files to the server. The value must be indicated in bytes by second.


Folders parameters

The Folders menu allows defining folder display parameters. The sub-menus' commands allow defining the initial local and initial remote folders' options.

  • Select File | Properties in the Site Manager and click Folders menu.

The parent site class default values are used by default.

  • To enable the options, remove the check mark from the Use property class default value box.

Hide files beginning with a period (.)

To avoid listing operating server files.

Folder listing command parameters

When using custom values, select the appropriate value in the drop-down list.

Caching of folder listings

To control the number of days temporary files are cached.

  • Always off: to disable the function.

  • Only until site is closed: to delete cached files when disconnecting.

  • Always on: to enable the function. Specify the appropriate number of days in the adjacent zone.

Initial Folders

AceFTP allows defining the folder structure to open, so that you can be positioned on a specific local and server folder when connecting. These options can be accessed using the Initial Local and Initial Remote sub-menus.

The parent site class default values are used by default.

Defining initial folders

  1. In the Folders properties, enable the appropriate sub-menu.

  2. Disable the Use property class default value box.

  3. In the text field, enter the exact address of the folder to open when connecting.

  • Click the Browse button to locate the folder.

The Browse for Folder screen lists the directory tree of local folders or server folders, according to the selected view.

Once the folder is selected, the Add and Remove buttons are enabled.

  4. Click the Add button to add it to the list of corresponding folders.

As many folders as required may be added. Each folder defined as initial folder will be displayed in a specific view when connecting. For further detail, refer to working in multipages mode.

Checking the Destroy views when closing site box will delete the folder's corresponding view on the Session Manager when disconnecting from the server.

Modifying initial folders

  1. In the appropriate folder list, select the folder to modify.
    The folder's address is displayed in the corresponding text field.

  2. Enter the required modifications.

  3. Click the Replace button
    Click the Remove button to delete the folder.


Conversion options

The Conversions menu allows defining file name syntax rules, that is to preserve or not the case and conversion.

Verifications and replacements can be performed on outgoing, incoming and FXP transfer files. These specific options are accessible in the sub-menu.

  • Select File | Properties in the Site Manager and click Conversion menu.

The parent site class default values are used by default.

  • To enable options, remove the check mark from the Use property class default value box.

Two zones allow defining conversion options:

Case Conversion | Select the option corresponding to the required file name character string type. An example of the selected type is displayed in the Preview zone.
Substrings to Replace | Allows to restrict the conversion to a certain string. The replacement definition uses the Preview zone.

Defining Substrings to Replace options

  1. On the Site Properties window, click the Conversion menu, choose the appropriate tab.

  • Download: for files on the server

  • Upload: for local files.

  • FXP: for files to transfer from server to server.

  2. In the Original field in the Preview zone, enter the name of the file as it appears in the folder directory tree.

  3. In the Case Conversion zone, select the required case type.

  4. In the Substrings to Replace zone, click the Add button.

  5. Define the additional options by adding or removing the check mark in the corresponding boxes:

  • Case Sensitive: to replace only file names corresponding exactly to the case specified in the Original field.

  • Replace All: to replace all file names corresponding to the spelling specified in the Original field.

  6. In the next columns, enter the appropriate information:

  • Unwanted: to exclude the file name indicated in the Original field.

  • Wanted: to include the file name indicated in the Original field.


Custom commands

With the Custom commands options, you can define your own connection values and the way the server behaves when you connect.

  • Select File | Properties in the Site Manager and click Custom Commands menu.

The parent site class values are used by default.

  • To enable the options, remove the check mark from the Use property class default value box.

Defining a Custom Command

  1. In the Site Properties Window, click Custom Commands menu.

  2. Enter a name for the command in the Name text box in the Properties section.
    For example, SEND TO SITE

  3. Enable the Refresh listing when done box to make the command available in the adjacent list.

  4. In the Commands field, enter the command you want to specify.
    For example, SITE %p%

  • Refer to the Legend area for syntax examples.

  4. Click on the Add button to add the command to the list.

  5. Click on the Apply button to save the command and click on OK to close the Properties window.

To modify a command, select it from the list. The command properties are displayed in the Properties section. Make the desired changes and click on the Replace button.

To delete a custom command from the list, select it and then click on the Remove button.


Scripts

The Scripts menu allows defining scripts which must be executed when connecting. These scripts consist in defining AceFTP's response during transfers.

  • Select File | Properties in the Site Manager and click Scripts menu.

The parent site class values are used by default.

  • To enable options, remove the check mark of the Use property class default value box.

Defining Custom Scripts

  1. In the Site Properties window, click the Script menu.

  2. In the Name field of the Properties zone, enter the script name.

  3. In the Script zone, enter your script.

  • Use the Add button's list to add a script corresponding to a Session Manager command. Finalize the script function between the brackets.

  • To delete a command line, select it in the Script zone and hit the DEL key on your keyboard.

  4. Click on the Apply button to save the command and click on OK to close the Properties window.


Predefined script functions

AceFTP allows defining script functions executed automatically when connecting to automate file transfers. The Task Scheduler benefits from using scripts to execute automatically programmed transfer tasks.

The Custom Scripts properties drop-down list allows accessing predefined functions which correspond to transfer transactions which you may perform with the AceFTP interface

The letter L indicates that the function must be executed in the left view; the letter R, in the right view.

Functions

Description

  • Required parameters

* OpenLocalViewL()
* OpenLocalViewR()

Open left or right view of local folder

  • No parameter, except the local folder name.

* OpenRemoteViewL()

* OpenRemoteViewR()

Open left or right view of remote folder.

  • Complete name and address of the site profile to open.
    (for example, C:\Sites\SiteName\MyConnection.ftp), or the relative name as defined in AceFTP (for example My sites\my connection). For the second case, you may as well specify the initial folder name.
    If no parameter is provided, the default FTP site associated to the script will be opened.

* Disconnect()

To abort connection to the server.

  • No parameter is required.

* SetMaxConnCount()

Number of connection used for transfer.

  • The number 0 indicates no count limitation.
    In this case, the parameter default configuration defined in the Connection menu will be used by the Script.

* CopyToLeft()
* MoveToLeft()
* CopyToRight()
* MoveToRight()
* DeleteL()
* DeleteR()

To copy, move or delete the file.

  • File name or file mask. All listed item must be separated by a semicolon (;).
    For example: ReadMe.txt or ReadMe.txt;*.tmp

* RenameL()
* RenameR()

To rename an item.

  • Old and new file or folder names. Each information must be separated by a comma.

* CHModL()
* CHModR()

Access right definitions

  • File name or file mask followed by the properties defining the access rights.
    All security parameters must be separated by a comma and use a numerical code (as in the file properties), and all information sequence must be separated by a semicolon (;).

* ChangeToFolderL()
* ChangeToFolderR()

To change folder within a view.

  • Destination folder name.

* ChangeToParentFolderL()
* ChangeToParentFolderR()

To change folder within a view, to a parent folder.

  • No parameter is required.

* CreateFolderL()
* CreateFolderR()

To create a new folder within a view.

  • New folder name.

* QueueSaveToStorage()

To save items from the queue.

  • File name and address where the information must be saved.
    Any name may be chosen; when using an existing name, the new file will overwrite the old one.
    The file is saved in the site profile folder.

* QueueLoadFromStorage()

To load a saved file in the queue.

  • Name and address of the previously saved file. If operations are being executed, the queued file will be executed immediately after.

* QueueDeleteFromStorage()

To delete a previously saved file.

  • File name to delete.

* QueueClear()

To delete all items in the queue.

  • No parameter is required.

* WaitForQueueToFinish()

To stop all operations until all queued items are executed.

  • No parameter is required.


Miscellaneous

Under the Miscellaneous menu, you can insert information on the site profile and the different tasks you can perform.

  • Select File | Properties in the Site Manager and click Miscellaneous menu.

You can also change the icon that identifies the profile by clicking on the Load button. The extension of icon files is .ico. They are generally located in the application folders.

  • To delete an icon you chose previously, click on the Clear button.


Statistics

The Statistics menu displays statistics on transfers, particularly those related to the server status and connection.

The information refers to files downloaded and uploaded.

You can reset displayed information by clicking the Clear All button.


Creating and managing a site profile folder

Creating and managing folders is done in the same manner as in Windows Explorer. Commands for managing folders are found under the File menu in the menu bar.

To create a new folder

  1. In the Site Manager Windows, position the cursor on the folder where you want to create a subfolder.

  2. In the menu, select File | Create | Folder, or
    Click on the Create folder button on the toolbar.

A folder appears in the window.

  3. Enter a name for the folder.

To rename the folder

  1. In the Site Manager Windows, select the folder.

  2. Click on the F2 key on the keyboard, or
    Select Rename from the pop-up menu.

  3. Enter a new name for the file.

To copy or move a folder or item

  1. In the Site Manager Windows, select the items you want to copy or move.

  2. Select Copy or Cut from the Edit menu, or from the pop-up menu.

  3. Place the cursor in the folder where you want to copy or move the selected items, and click on Edit | Paste from the pop-up menu.

To delete an item

  1. In the Site Manager Windows, select the item you want to delete.

  2. Press the Del key on the clipboard, or
    select Delete from the pop-up menu, or use the Delete button from the toolbar.

You can also

Rename site profiles

Delete site profiles

Work with advanced site profile properties


Renaming a site profile

You can rename a site profile in the same you rename files in Windows Explorer.

  1. On the Site Manager window, select the site profile you want to rename.

  2. Click on the F2 key on the keyboard, or select Rename from the pop-up menu.

  3. Enter a new name.


Deleting a site profile

You can delete a site profile in the same way you delete files in Windows Explorer.

  1. On the Site Manager window, select the site profile you want to delete.

  2. Click on the Delete button on the toolbar or
    click on Delete from the pop-up menu.

A message requesting confirmation for deletion is displayed.

  • Click Yes to delete;

  • Click No to cancel.


Connection classes

Connection classes are helpful to manage several FTP sites with similar configuration, over an internal network (for example, a company network) or over the Internet.

Connection classes contain connection parameters and each class can be associated to one or more connections. Moreover, if you modify one of the parameters (for example, an IP address of a firewall), you only have to modify the properties of the connection class; these changes will be reflected on all the connections that are associated with that particular class.

Connection classes are managed from the properties window of Site Profiles found under the Site Manager.

To view connection classes

  1. Start Site Manager.

  2. From the menu select Connection | Manage Connection Classes.
    The Site classes Properties & Hierarchy screen is displayed.

The window displays the directory tree of the connection classes. All the connection classes that you create will be placed in the main Default folder. Under this hierarchy, you can create your own directory tree.

The class connection structure must be interpreted as a hierarchy. This means that each class created in a directory tree inherits the default values of the parent class (or that of the ancestor).

All the parameters you change in a selected connection class will be reflected in its definition. Check the site profiles properties to learn about parameter values.


Creating a connection class

  1. Go to the Site Classes Properties & Hierarchy window.

  2. Select the connection class that will act as the ancestor or parent of the new class.

  3. Open the pop-up menu of the selected class and select Add Class.
    You may also click on the Add Class button.
    A new branch appears in the directory tree.

  4. Enter a name for the new class.

  5. Define the properties for the new class using the Connection Profile window.


Modifying a class

Modify a connection class

  1. Go to the Site Classes Properties & Hierarchy window..

  2. Select the class to modify

  3. Select the Properties command in the pop-up menu or click the Properties button.
    The Site Manager Wizard is displayed.

  4. Modify the properties as seen in the Site Profile Properties window.


Associating a site profile to a class

  1. Edit the site profile.

  2. Click the Profile menu to access site specific options.

  3. In the Default Class Properties zone, select the connection class to associate and click OK.


Removing a connection class

  1. Go to the Site Classes Properties & Hierarchy window.

  2. Select the connection class you want to remove.

  • To remove a complete connection class tree, select the parent class.

The deletion will include all underlying classes.

  3. Select Remove Class in the pop-up menu or click the Delete Class button.


Scheduled Tasks

The transfer Scheduled Tasks function integrated to AceFTP allows users to plan file transfers and execute them according to a specific schedule.

A scheduled task is applied to a site profile. If this profile is associated to several connections, the task will be executed and will connect automatically to all corresponding FTP sites.

The scheduler is perfectly integrated to Windows technologies and uses their Tasks Scheduler features. Then a scheduled task create with AceFTP is automatically registered in the Windows Task Scheduler. Therefore, AceFTP does not require to be launched to execute the task.

To access the Schedule

  1. Select Tools | Schedule menu or click the Schedule button on the main Session Manager toolbar.

The Scheduled Tasks window is displayed.


Scheduled Tasks window

The Scheduled Tasks window is displayed as an application with menus and a toolbar.

The window lists all file transfers programmed with AceFTP as well as a calendar allowing viewing quickly the expected date of the next execution.

The Scheduled Tasks Window

Menus bar

The menus allow accessing the scheduled transfer tasks' editing commands.

Toolbar

The toolbar allows accessing frequently used commands.

Task List

The table displays the names and details of the scheduled tasks:

  • Name of the task.

  • Site Profile used to configure the connection.

  • Script to execute when connecting.

  • Schedule of the transfer task.

  • Next Run Time of the task.

  • Last Run Time of the task.

Action

Site profile and script associated to the task as defined when creating a new task. The Scheduled tasks uses site profiles defined using the Wizard and the scripts associated to this profile.

Actions are defined during the step 2 when creating a task.

Triggers

Detailed scheduled date and execution frequency.

The task execution frequency is defined during the step 3 when creating a task.

Trigger Schedule

Calendar allowing viewing the scheduled task dates.


Scheduled Tasks menus

File Menu

New Task | To create a new task.
Delete | To delete a selected task.
Rename | To rename a selected task.
Advanced Properties | To display the task's properties dialog box allowing modifying its advanced parameters.
Close | To close the scheduler.

Edit Menu

The Edit menu allows using the regular clipboard commands: Cut, Copy and Paste.

Task Menu

Run Now | To run the selected task, and to anticipate, when applicable, the scheduled date.
Stop | To stop the execution of the current task.
Enable | To set the selected task in awaiting execution time.
Disable | To disable the selected task so that it will not run at the scheduled time.


Scheduled Tasks toolbar

To creating a new task.

To display the task's properties dialog box, allowing modifying its advanced parameters.

To run the selected task now, and to anticipate, when applicable, the scheduled date.

To stop the execution of the current task.


Creating a new task

Creating a new task is performed using a Wizard. The different screens of the definition can be displayed using the Back and Next buttons. It is also possible to go to a specific step by clicking the corresponding menu in the left view of the dialog box.

To Create a New Transfer Task

  1. Select Tools | Schedule
    or click the Schedule button in the Session Manager Main toolbar.

The Scheduled Tasks window is displayed.

  2. Create a new task.

You may use File | New Task menu, the New Task button or double-click the New Task link in the task list.

The Wizard will be launched.

  • Click the Next button on the Welcome screen to continue.

  3. The first step is to name the task. This name does not require to follow any specific syntax rule.

  • Enter a name in the text field.

  4. The second step is to define the associated actions:

  • In the Site Profile field, enter the profile to which the task is associated to request connection.
    You may use the Browse button to select the profile in the list of existing connections, to modify it or create a new one.

  • In the Script field, select the script to execute when connecting.
    List here the task definition scripts which must be executed after the automatic connection.
    The script has been defined in the site profile properties. You may use the Browse button to display the script options, to modify it or to create a new one.

Using a script allows defining an operation sequence to automate transfers while you are away.
Refer to view predefined functions.

  5. The two next steps consist of defining the trigger schedule.

  • You must first define the execution frequency and then the execution date and time parameters.

  6. The fifth step requests the connection authorization parameters. You must enter your user name and password to access the FTP server.

  7. At the last step, AceFTP performs a verification of the information entered and issues a task creation confirmation message.
    You will be notified if an error is detected. Use the Back button to go back to a previous step or use the menu's commands.


Trigger schedule

The trigger schedule's definition is based on the frequency type the file transfer task must be run. According to the selected frequency, the dates and times will be different (fourth step of the Wizard).

Scheduled Transfers' Trigger Modalities.

Frequency selected in the Wizard's step 3

Information to provide in the Wizard's step 4

Daily

Every day. You must specify the date and time the transfer must be executed at as well as its frequency: Every day or everyday weekday.

You may also specify an interval by selecting Every and specifying the appropriate number of days.

For example, if you indicate 2, the transfer will be run every second day.

Weekly

Every week. You must specify the time the transfer must be executed at and the week interval in the Every field.

For example 2, to run this task every second week.

You must then check the day(s) the transfer must be executed on.

For example, if you indicate 3 in the Every field and check Monday, the transfer will be executed every third Monday.

Monthly

Every month. You must specify the time the transfer must be executed at. Two possibilities are then available:

  • Specify a specific date within the month by using the Day option; specify the date in the adjacent field.

For example 15, to indicate the fifteenth of the month.

  • Specify a specific day in the month by using the The option; choose the week number in the first drop-down list and the day in the second drop-down list.

For example you may execute the transfer the Third Tuesday every month.

You may then limit the transfer to one or several months by checking the corresponding box in the Of the following months zone.

One time only

For a one time only transfer. You must specify the date and time the transfer must be executed at.

When my computer is idle

For a one time only transfer using an idle computer time (instead of stand by). You must specify the Idle period after which the transfer must be started.

When my computer starts

Each time the computer is started. No other information is required.

When I log on

This option is used if you do not work using a permanent connection. No other information is required. The transfer will be executed each time you manually connect to Internet.


Queue list

With AceFTP you can transfer several files by batches. When you use the queue function several options are available that allow planning to upload several files at a later time; this frees you from having to supervise transfers so that meanwhile you can carry out other activities.

The transfers you want to make are added under the Queues tab in the Session Manager. Besides retaining the list of files you want to upload, this feature also keeps track of the failed downloads you attempted, for example, when a connection problem was encountered.

You can access the different options available under the queue found on AceFTP's main menu bar. You also have access to many of the options using the pop-up menu.

The Queues tab has a toolbar to perform usual activities.

The default parameters of queues can be modified from the General Preferences window.

The Queues tools

or | Moves the selected item up or down. The button arrows allows moving the item to the start or end of the queue to anticipate or postpone the transfer.
or | To connect or disconnect. The appearance of the icon varies according to the possibility.
or | To stop the current process or to start a transfer in the queue. The appearance of the icon varies according to the possibility.
 | You can define several types of actions for items in queue. Choose Nothing to prevent all actions in the queue from taking place; File Transfers to execute all the actions, except transfers; Everything to place all items on Pause, that is, temporarily inactive.
 | Display the contents of the Queues tab.
 | Display the activities that have been completed.
 | A small window to the right of the Queues tab displays the messages that are taken place under the Log tab.


Saving information in the queue

It is possible to save the operation sequence organized in the queue. This can be useful if for example you must disconnect, or if an operation is accidentally stopped, or just to eventually re-use the queue.

Saving the queue

  1. Once the operation sequence is organized, select Queue | Save to Storage menu.

  2. In the text field, name the storage file and click OK.

Re-using a Stored queue

  1. Select Queue | Load from Storage menu.

  2. In the text field, enter the name of the queue file to re-use.

Items are displayed in the queue. You may start the transfer when appropriate.


Importing connection file

In the past you might have used another FTP program or AceFTP's older version. You can import the connection data you saved under these other programs.

The connection parameters are usually stored under files with the .ini extension and found in one of the program's folders.

  1. Open the Site Manager.

  2. From the menu, select File | Import.

The Site Import Wizard helps you through the different stages to import data.

  1. In the first step you have to choose the type of file you want to import:

A previous version of AceFTP | To import the connection information of a previous version of AceFTP. When choosing this option, you must then specify the source AceFTP version. If importing from AceFTP V2, you may import the application general preferences' configuration.
Another FTP application | To import connection parameters from another program, such as CuteFTP or WSFTP. When choosing this option, you must then specify which application to import from.
List of URL's in a text file | To import information found in a .txt file.
List of URL's saved to the clipboard | Import all the URL's you previously saved to the clipboard.

  2. In the second step, you must indicate the location of the connection files. You can press the Browse button to locate the files in your computer.

  3. In the third step, you must indicate the location where you want to save the file. AceFTP saves the site profile in a subfolder of the program. All you have to do is enter a name for the new profile.

When the file is imported, AceFTP displays a message advising the name of the connection files that were added to the Site Manager.


Available resources

To help you create attractive Web pages and transfer them to your server, you can use additional software that you can download from our Web site from the address shown below:

  • GIF Movie Gear (in french): to create animated images in your web sites:

http://www.visic.com/gifmoviegear

  • AceHTML: to create high quality web pages:

http://www.visicommedia.com/acehtml

  • To quickly and simply find graphs, use the graph search engine at the following address:

http://www.gograph.com

  • AceDesign: desktop publishing to enhance the look of your web pages:

http://www.visicommedia.com/acedesign/

  • ButtonFly: to create buttons for your web pages:

http://www.visicommedia.com/buttonfly/

  • MioFactory Pro: to distribute web applications:

http://www.visicommedia.com/miofactory/

  • Dynamic Toolbar: to create your own toolbars in Internet Explorer:

http://toolbar.visicommedia.com/en

  • You will find below a list of additional tools and references which you may consult or download from our web site at the following address:

http://www.visicommedia.com/community

  • AceHTML tutorials

  • AceHTML How-To

  • JavaScript and PHP tutorials

  • Web Marketing

  • To find out more about Web page design or to view live applets, JavaScripts and DHTML, please visit WebDevelopper at the following address:

http://www.webdeveloppeur.com (in french)


Frequently Asked Questions (FAQ's)

Frequently Asked Questions

Find answers for the most common questions at the following address:

http://www.visicommedia.com/support/faq

Our Web site has a list of frequently asked questions which is constantly being updated to add the questions submitted by our clients so that everyone can readily find answers to common problems and questions.


Shortcut keys

AceFTP's main functions

Exit AceFTP

Alt+X or Alt+F4

Disconnect

Ctrl+D

Open Site Manager

Ctrl+W

Display or hide the Session Manager

Ctrl+G

Manage connection classes

F6

Open Scheduled Tasks function

Ctrl+Alt+S

Display or make active the Quick Connect toobar

Ctrl+H

Display the General Preferences window

Ctrl+O

Display properties of selected item

Alt+Enter

Open a dialog box to connect directly to an URL

Ctrl+U

Paste from Windows' clipboard

Ctrl+V

Cut selected items to Windows' clipboard

Ctrl+X

Copy selected items to Windows' clipboard

Ctrl+C

Delete selected item

Delete

Invert current selection

Shift+Ctrl+A

Display current site profile properties

F4

Close the current dialog box

Escape

Paste URL from clipboard

Ctrl+P

Exploration Views

Display or hide the middle toolbar to transfer files

Ctrl+B

Up to parent folder

BkSp (Backspace)

Select all items in exploration view

Ctrl+A

Copy selected item to Clipboard

Ctrl+C

Copy selected item to the left exploration view to transfer it

Ctrl+L

Copy selected item to the left view on the queue to transfer it later

Ctrl+Alt+L

Move selected item to the left exploration view to transfer it

Shift+Ctrl+L

Move selected item to the left view on the queue to transfer it later

Shift+Ctrl+Alt+L

Copy selected item to the right exploration view to transfer it

Ctrl+R

Copy selected item to the right view on the queue to transfer it later

Ctrl+Alt+R

Move selected item to the right exploration view to transfer it

Shift+Ctrl+R

Move selected item to the right view on the queue to transfer it later

Shift+Ctrl+Alt+R

Edit selected item with application from drop-down list

Ctrl+E

Apply a file mask to show the chosen categories

Ctrl+K

Hide left exploration view

Ctrl+M

Create new folder on active exploration view pane

Ctrl+N

Send command defined in site profile properties

Ctrl+S

Display transfer progress window

F12

Rename selected element

F2

Open the Windows' Search file window

F3

Refresh the folder already displayed in the exploration view to reflect the most recent changes.

F5

Synchronize on same folder

Ctrl+1

Compare folders' contents of the exploration views.

F9

Log

Copy Log tab report to clipboard

Ctrl+A

Copy selected lines of messages found under the Log tab to Windows' clipboard

Ctrl+C

Save the information on the Log tab

Ctrl+S

Queue

Start processing queue

Ctrl+Q

Move selected item up

Shift+Up

Move selected item at the beginning of the list

Shift+Ctrl+Up

Move selected item down

Shift+Down

Move selected item at the end of the list

Shift+Ctrl+Down

Schedule

Run task

Ctrl+R

Stop running task

Ctrl+S

Enable task

Ctrl+E

Disable task

Ctrl+D


Technical support

For any question of problem related to AceFTP, please contact our technical support service at the following address:

http://www.visicommedia.com/support

Before contacting our technical support service, please read carefully the Frequently Asked Questions section.


Welcome

Scheduled Tasks

SSL Protocol for secure and confidential transfers

Windows XP adapted interface

Extended firewall support (Sockets)

© Visicom média inc.


Browse


Connect


Connect using the Manager


Connect to URL


Connection button


Copy from right to left


Copy from left to right


Delete


Destroy view


Disconnect


Graphic display of progress


Display Manager


File Mask


Maximize right view


More buttons


New connection


Create view


Properties


Schedule


Preview of images


Navigation list


Add class


Class Properties


Delete Class


General Preferences window

AceFTP's general preferences window and the connection class properties window are quite similar. Both display two section:

  1. The left section displays the parameters or properties that may be modified. Options may be classified by category with sub-menus.

The [image] icon indicates that a sub-menu is available; while the [image] icon indicates that the directory tree is expanded. The options are directly accessible when no symbol is displayed.

  • Click on the link to display the corresponding options. If any option is available, the directory tree will then be expanded.

  2. The right section displays the selected parameter's corresponding options.

  • Click the name of a parameter. The right section of the window will be refreshed.

You may at any time reset AceFTP's parameters by clicking the Set Defaults button. This command allows you to either reset the displayed parameter only or to reset all parameters (select All pages).


Receive of Send on Progress Tab


Move Down


Start Processing Queue


Move Up


New Folder


New Task